curl --request POST \
--url https://app.unitedlogistics.com.do/api/v1/fuel/entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vehicle_number": "L18N / L534991",
"product_name": "Diesel Regular",
"product_type": "Regular",
"gallons": 60.008,
"price_per_gallon": 224.8
}
'{
"data": {
"id": "589c258d-4736-4b6f-876f-87835992191e",
"org_id": "d87f7281-ea19-45cd-b6fd-d8eb9e310da1",
"transaction_date": "2026-02-26T03:15:47.000Z",
"transaction_id": "TXN-9921",
"notes": null,
"vehicle_external_id": 16056,
"vehicle_number": "L18N / L534991",
"vehicle_name": "L18N",
"driver_external_id": null,
"driver_key": null,
"name": "Juan Pérez",
"product_id": "f788c39d-02c8-4bd6-aa1a-fa2af011b5a3",
"product_name": "Diesel Regular",
"product_type": "Regular",
"vendor_id": "2f81f423-db0c-46d8-923e-c177fa78a54c",
"vendor_name": "Estación El Higuero - United Petroleum",
"vendor_address": "Santo Domingo Norte, DO",
"gallons": 60.008,
"price_per_gallon": 224.8,
"total_cost": 13489.8,
"odometer_reading": 10997,
"previous_odometer_reading": 10120,
"distance_traveled": 877,
"fuel_efficiency": 14.61,
"trip_external_id": null,
"matched_message_id": 6213486243,
"gps_odometer_reading": 10997.05,
"karma_driver_id": null,
"source": "API",
"reference_id": "300030586",
"created_by": null,
"created_at": "2026-02-26T15:30:03.048Z",
"updated_at": "2026-02-26T15:30:03.048Z"
}
}{
"error": {
"code": "bad_request",
"message": "Invalid fuel entry payload.",
"details": {
"fieldErrors": {
"gallons": [
"gallons must be greater than 0"
]
}
}
}
}{
"error": {
"code": "unauthorized",
"message": "API key missing or invalid."
}
}{
"error": {
"code": "forbidden",
"message": "API key is missing required scope: fuel_entries:write."
}
}{
"error": {
"code": "not_found",
"message": "El vehículo especificado no existe en esta organización."
}
}{
"error": {
"code": "too_many_requests",
"message": "Rate limit exceeded."
}
}Create a fuel entry
Creates a fuel entry for your organization. When vehicle_external_id and transaction_date are provided, the entry is automatically matched against the nearest trip and GPS message (±30 min). odometer_reading drives the efficiency trigger.
curl --request POST \
--url https://app.unitedlogistics.com.do/api/v1/fuel/entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vehicle_number": "L18N / L534991",
"product_name": "Diesel Regular",
"product_type": "Regular",
"gallons": 60.008,
"price_per_gallon": 224.8
}
'{
"data": {
"id": "589c258d-4736-4b6f-876f-87835992191e",
"org_id": "d87f7281-ea19-45cd-b6fd-d8eb9e310da1",
"transaction_date": "2026-02-26T03:15:47.000Z",
"transaction_id": "TXN-9921",
"notes": null,
"vehicle_external_id": 16056,
"vehicle_number": "L18N / L534991",
"vehicle_name": "L18N",
"driver_external_id": null,
"driver_key": null,
"name": "Juan Pérez",
"product_id": "f788c39d-02c8-4bd6-aa1a-fa2af011b5a3",
"product_name": "Diesel Regular",
"product_type": "Regular",
"vendor_id": "2f81f423-db0c-46d8-923e-c177fa78a54c",
"vendor_name": "Estación El Higuero - United Petroleum",
"vendor_address": "Santo Domingo Norte, DO",
"gallons": 60.008,
"price_per_gallon": 224.8,
"total_cost": 13489.8,
"odometer_reading": 10997,
"previous_odometer_reading": 10120,
"distance_traveled": 877,
"fuel_efficiency": 14.61,
"trip_external_id": null,
"matched_message_id": 6213486243,
"gps_odometer_reading": 10997.05,
"karma_driver_id": null,
"source": "API",
"reference_id": "300030586",
"created_by": null,
"created_at": "2026-02-26T15:30:03.048Z",
"updated_at": "2026-02-26T15:30:03.048Z"
}
}{
"error": {
"code": "bad_request",
"message": "Invalid fuel entry payload.",
"details": {
"fieldErrors": {
"gallons": [
"gallons must be greater than 0"
]
}
}
}
}{
"error": {
"code": "unauthorized",
"message": "API key missing or invalid."
}
}{
"error": {
"code": "forbidden",
"message": "API key is missing required scope: fuel_entries:write."
}
}{
"error": {
"code": "not_found",
"message": "El vehículo especificado no existe en esta organización."
}
}{
"error": {
"code": "too_many_requests",
"message": "Rate limit exceeded."
}
}Authorizations
Authorization: Bearer ulk__. Cree la clave en Configuración → API.
Body
Denormalized vehicle number/plate at the time of the refuel.
1 - 255"L18N / L534991"
1 - 255"Diesel Regular"
1 - 255"Regular"
60.008
Provider vehicle id (legacy vehicle_id). Enables trip/GPS matching.
16056
255255Driver name (denormalized). Defaults to Desconocido.
255"Juan Pérez"
255500Transaction total; price_per_gallon is inferred when provided.
x >= 013489.8
x >= 0224.8
x >= 010997
"2026-02-26T03:15:47.000Z"
2552000Origin of the entry. manual for UI capture, import for bulk CSV/Excel, API for integrations. Legacy ERM is accepted and stored as manual.
API, manual, import "API"
255x >= 0Response
Created
Show child attributes
Show child attributes
